<?php

include_once(dirname(__FILE__).'/Comparison.php');
include_once(dirname(__FILE__).'/Form.php');
include_once(dirname(__FILE__).'/Save.php');
include_once(dirname(__FILE__).'/TranslationList.php');
include_once(dirname(__FILE__).'/Progress.php');

class ModuleTranslation extends AppModule
{
  function __construct($System)
  {
    parent::__construct($System);
    $this->Name = 'Translation';
    $this->Version = '1.0';
    $this->Creator = 'Chronos';
    $this->License = 'GNU/GPL';
    $this->Description = 'Translation of text items and groups from original language to other languages.';
    $this->Dependencies = array('News');
  }
  
  function Start()
  {
		$this->System->RegisterPage('comparison.php', 'PageTranslationComparison');
  	$this->System->RegisterPage('form.php', 'PageTranslationForm');
  	$this->System->RegisterPage('save.php', 'PageTranslationSave');
  	$this->System->RegisterPage('progress', 'PageProgress');
    $this->System->RegisterPage('TranslationList.php', 'PageTranslationList');
    $this->System->ModuleManager->Modules['News']->RegisterRSS(array('Title' => 'Poslední překlady', 
      'Channel' => 'translation', 'Callback' => array($this, 'ShowRSS'), 'Permission' => LICENCE_ANONYMOUS));
    $this->System->RegisterMenuItem(array(
        'Title' => 'Stav dokončení',
        'Hint' => 'Stav dokončení překládů',
        'Link' => $this->System->Link('/progress/'),
        'Permission' => LICENCE_ANONYMOUS,
        'Icon' => '',
    ), 1);    
  }
  
  function ShowRSS()
  {
    $DbResult = $this->Database->query('SELECT UNIX_TIMESTAMP(`Date`) AS `Date`, `User`.`Name` AS `UserName`, `Text` FROM `Log` JOIN `User` ON `User`.`ID` = `Log`.`User` WHERE `Type` = 1 ORDER BY `Date` DESC LIMIT 100');
    while($DbRow = $DbResult->fetch_assoc())
    {
      $Items[] = array
      (
          'Title' => strip_tags($DbRow['Text'].' ('.$DbRow['UserName'].')'),
          'Link' => 'http://'.$this->System->Config['Web']['Host'].$this->System->Link('/'),
          'Description' => $DbRow['Text'],
          'Time' => $DbRow['Date'],
      );
    }
    $Output = GenerateRSS(array
        (
            'Title' => 'WoW překlad - Poslední překlady',
            'Link' => 'http://'.$this->System->Config['Web']['Host'].$this->System->Link('/'),
            'Description' => 'Překlad textů WoW',
            'WebmasterEmail' => $this->System->Config['Web']['AdminEmail'],
            'Items' => $Items,
      		));
    return($Output);
  }
}
